List leads
curl --request GET \
--url https://api.closebot.com/lead \
--header 'X-CB-KEY: <api-key>'import requests
url = "https://api.closebot.com/lead"
headers = {"X-CB-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-CB-KEY': '<api-key>'}};
fetch('https://api.closebot.com/lead', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"results": [
{
"id": "<string>",
"name": "<string>",
"contactId": "<string>",
"lastMessageTime": "2023-11-07T05:31:56Z",
"lastMessage": "<string>",
"lastMessageDirection": "<string>",
"lastMessageBotId": "<string>",
"mostRecentFailureReason": "<string>",
"mimicSourceId": "<string>",
"starred": true,
"unread": true,
"source": {
"name": "<string>",
"id": "<string>"
},
"wontRespondUntil": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"fields": [
{
"field": "<string>",
"name": "<string>",
"value": "<string>",
"aiProduced": true
}
],
"instances": [
{
"botId": "<string>",
"botVersion": "<string>",
"followUpTimezoneKind": "<string>",
"followUpTimezone": "<string>",
"followUpTime": "2023-11-07T05:31:56Z",
"isSmartFollowUpTime": true,
"scheduleRespondTime": "2023-11-07T05:31:56Z"
}
]
}
],
"page": 123,
"pageSize": 123
}Lead
List leads
GET
/
lead
List leads
Authorizations
CloseBot API Key Authorization
Query Parameters
The page number.
The page size.
The source ID.
The lead ID.
⌘I

